Bug 1934774 - Repeated connect / disconnect cycles eventually break audio playback
Summary: Repeated connect / disconnect cycles eventually break audio playback
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-03 19:58 UTC by Brandon Nielsen
Modified: 2021-03-28 00:15 UTC (History)
3 users (show)

Fixed In Version: pipewire-0.3.24-4.fc34
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-28 00:15:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Brandon Nielsen 2021-03-03 19:58:05 UTC
This is a local mirror of an upstream bug[0].


Bluetooth Radio, Bluetooth Headset, Desktop Environment, Distribution, Version (Bluez, Kernel, and PipeWire):

    Broadcom BCM2045 (USB)
    BSH-1701 (Monoprice branded)
    Gnome 40-beta
    Fedora 34 compose 20210302.n.1, fully updated as of 2021-03-03
    Bluez 5.56
    Kernel 5.11.2
    PipeWire 0.3.22


Description of Problem: Repeatedly connecting and disconnecting Bluetooth headset through gnome-control-center eventually breaks playback through non-Bluetooth sink.


How Reproducible: Every time, though number of connect / disconnect cycles varies.


Steps to Reproduce:

    1. Pair Bluetooth headset, ensure it shows as "Connected" in gnome-control-center
    2. Disconnect Bluetooth headset, ensure it shows as "Disconnected" in gnome-control-center
    3. Start playback of a sound file long enough to cycle multiple times (I used pw-cat -p and a ~3 minute wav)
    4. Connect Bluetooth headset through gnome-control-center, wait for playback to transfer to headset
    5. Disconnect headset through gnome-control-center, wait for playback to transfer to onboard audio
    6 .Repeat steps 4, 5, eventually playback will no longer resume on onboard audio, Bluetooth will continue to work for awhile but eventually seems to break as well (can no longer connect headset), often pw-cat will hang


Actual Results: Playback will eventually no longer transfer to the onboard audio, Bluetooth playback eventually breaks, pw-cat hangs. Playing test sounds in gnome-control-center will hang, though other system sounds continue to work.


Expected Results: Playback to switch back and forth between devices indefinitely, pw-cat to exit cleanly when it reaches the end of the audio file.


[0] - https://gitlab.freedesktop.org/pipewire/pipewire/-/issues/834

Comment 1 Fedora Update System 2021-03-25 15:28:52 UTC
FEDORA-2021-219efa2b61 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-219efa2b61

Comment 2 Fedora Update System 2021-03-26 18:34:06 UTC
FEDORA-2021-219efa2b61 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-219efa2b61`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-219efa2b61

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2021-03-28 00:15:53 UTC
FEDORA-2021-219efa2b61 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.